On Tue, Jan 11, 2011 at 12:19:43AM +0100, Jonas Smedegaard wrote:
> On Mon, Jan 10, 2011 at 11:36:40PM +0100, Alessandro Ghedini wrote:
> >On Mon, Jan 10, 2011 at 10:58:47PM +0100, Jonas Smedegaard wrote:
> >>On Mon, Jan 10, 2011 at 09:39:46PM +0000,
> >>ghedo-gu...@users.alioth.debian.org wrote:
> >>>   Update debian/copyright and remove FIXMEs
> >>
> >>>Files: src/compression/zziplib/*
> >>>Copyright: 1999-2004, Guido Draheim
> >>>-License: LGPL or MPL-1.1
> >>>+License: LGPL-2+ or MPL-1.1
> >>> All rights reserved, use under the restrictions of the Lesser GNU
> >>> General Public License or alternatively the restrictions of the Mozilla
> >>> Public License 1.1
> >>
> >>Above is no proof that the version of LGPL is 2+.
> >
> >It is, I checked upstream [0]. I thought this was enough...
> 
> _Above_ is insufficient proof.
> 
> Proof announced on this mailinglist or listed at some website is not
> proof included in debian/copyright file.
 
Maybe I was not clear, but I assumed the v2+ from the COPYING.LIB 
containing the LGPL-2+ text, shipped with the upstream tarball (it's 
present also in the orig.tar of the libzzip package by the way).
Isn't this enough?

> >>>-Files: src/milkyplay/drivers/generic/rtaudio/asio/asio.cpp
> >>>- src/milkyplay/drivers/generic/rtaudio/asio/asiodrvr.h
> >>>-Copyright: 1996, Steinberg Soft- und Hardware GmbH
> >>>-License: UNKNOWN
> >>>- FIXME
> >>>-
> >>>-Files: src/milkyplay/drivers/generic/rtaudio/oss/soundcard.h
> >>>-Copyright: *No copyright*
> >>>-License: other-restricted!
> >>>- FIXME
> >>
> >>What fixed the FIXMEs above?  If intending to repackage source, then
> >>please do that _before_ claiming that problems are fixed.
> >
> >I've already done that yesterday [1].
> 
> Ahh, yes.  Sorry - I forgot.
> 
> 
> >>>Files: debian/*
> >>>Copyright:
> >>> 2008, Gürkan Sengün <gur...@phys.ethz.ch>
> >>> 2010, Alessandro Ghedini <al3x...@gmail.com>
> >>>License: GPL-3+
> >>>- FIXME
> >>
> >>This (and main license too) is only fixed if no parts are GPL-2 or GPL.
> >
> >There are only GPL-2+ files as far as I can see.
> 
> Agreed - when first issue above gets properly solved.
> 
> 
> >>Do anyone here know for sure if LGPL-2+ is compatible with GPL-3?
> >
> >I think it is [2].
> 
> No - that only talks about GPL-2+ and LGPL-2.1, not LGPL-2.

They are not much different AFAIK, I think the v2 weren't listed for this
reason... but a request on debian-legal would be the safest solution.

> >Anyway, it seems like you missed my last email [3] and some commits.
> 
> Possibly... :-)

-- 
perl -E'$_=q;$/= @{...@_]};and s;\S+;<inidehG ordnasselA>;eg;say~~reverse'

_______________________________________________
pkg-multimedia-maintainers mailing list
pkg-multimedia-maintainers@lists.alioth.debian.org
http://lists.alioth.debian.org/mailman/listinfo/pkg-multimedia-maintainers

Reply via email to